DevTeam объявила о выходе специального патча, закрывающего дыру в Safari. Как известно, благодаря именно этой уязвимости стал возможен джейлбрейк прошивки iOS 4.0.1 и ниже с помощью утилиты от Comex под названием jailbreakme.

Apple уже выпустила заплатку в виде iOS 4.0.2 и iOS 3.2.2, но это обновление не коснулось iPhone 2G и iPod Touch 1G/2G. Дело в том, что эта уязвимость была на всех прошивках, выпущенных когда-либо Apple и не совсем понятно, почему в Apple проигнорировали эти устройства.

К счастью, в DevTeam сидят нормальные люди, которые заботятся обо всех пользователях яблочных гаджетов. Именно поэтому данный патч предназначен для всех устройств и поддерживается даже ранними прошивками, включая iOS 2.х. Установить PDF Patch можно совершенно бесплатно из репозитория Саурика в Cydia.

Материалы

Нашел ошибку в тексте? Выдели ее и нажми Ctrl + Enter
  • саурик а не сурик)))

    • s7ranger

      Ну очепятался, бывает.

  • Zloi

    Так что делает этот патч?

    • s7ranger

      В iOS 4.0.1 и ниже была дыра в Safari. Через неё к вам могли попасть вредоностные файлы или зайдя на «левый» сайт, из вашего устройства могла быть скачана личная информация и т.д. и т.п.
      Короче, рекомендуется к установке)

  • Vlad

    Так да что он делает???
    Мое предположение,типо ставиш етот патч,и можно спокойно ставить ось 4.0.2???Я прав?

  • Legion12

    на прошивке 4.0.2 эта уязвимость исправлена.
    Но она остается на 2G

  • smile437

    с одной стороны хорошо что залатали, а с другой… как теперь джейл делать??

  • Strekozza

    ну не знаю я в тот же день как вышла 4.0.2 перешел на нее с 4.0.1 (jailbrak-redsn0w/unlock-ultrasn0w) все отлично работает.(IPhone 3G)